IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SUPPLIERNH')
 CREATE TABLE T_BD_SUPPLIERNH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTARTDATE TIMESTAMP,
FENDDATE TIMESTAMP,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME TIMESTAMP,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME TIMESTAMP
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CUSTOMERNH')
 CREATE TABLE T_BD_CUSTOMERNH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTARTDATE TIMESTAMP,
FENDDATE TIMESTAMP,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME TIMESTAMP,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME TIMESTAMP
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BIZPARTNERNH')
 CREATE TABLE T_BD_BIZPARTNERNH (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTARTDATE TIMESTAMP,
FENDDATE TIMESTAMP,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME TIMESTAMP,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME TIMESTAMP
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_SUPPLIERNH_L')
 CREATE TABLE T_BD_SUPPLIERNH_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_CUSTOMERNH_L')
 CREATE TABLE T_BD_CUSTOMERNH_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BD_BIZPARTNERNH_L')
 CREATE TABLE T_BD_BIZPARTNERNH_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL
);

